# Class: AdminProductTypesResource

## Hierarchy

- `default`

  ↳ **`AdminProductTypesResource`**

## Methods

### list

▸ **list**(`query?`, `customHeaders?`): [`ResponsePromise`](../modules/internal.md#responsepromise)<[`AdminProductTypesListRes`](../modules/internal-19.md#adminproducttypeslistres)\>

#### Parameters

| Name | Type |
| :------ | :------ |
| `query?` | [`AdminGetProductTypesParams`](internal-19.AdminGetProductTypesParams.md) |
| `customHeaders` | `Record`<`string`, `any`\> |

#### Returns

[`ResponsePromise`](../modules/internal.md#responsepromise)<[`AdminProductTypesListRes`](../modules/internal-19.md#adminproducttypeslistres)\>

#### Defined in

[medusa-js/src/resources/admin/product-types.ts:10](https://github.com/medusajs/medusa/blob/29135c051/packages/medusa-js/src/resources/admin/product-types.ts#L10)
